interface Window {
  aplus_queue: any[];
  g_efm_common: {
    fetcherIo: FetcherIo;
  };
}

declare module "@radix-ui/react-tabs";

declare module "@service";
declare module "@constant";
declare module "@";
declare module "@page";

declare let HOST_PRE: string;
declare let HOST_PROD: string;
declare let BASENAME: string;
declare let AES: any;
declare let AESPluginPV: any;
declare let AESPluginEvent: any;
declare let AESPluginAPI: any;
declare let AESPluginJSError: any;
declare let AESPluginResourceError: any;
declare let AESPluginPerf: any;
declare let AESPluginEventTiming: any;

// Type declarations for CSS/Less modules
declare module '*.module.less' {
  const classes: { [key: string]: string };
  export default classes;
}

declare module '*.less' {
  const classes: { [key: string]: string };
  export default classes;
}

declare module '*.module.css' {
  const classes: { [key: string]: string };
  export default classes;
}

declare module '*.css' {
  const classes: { [key: string]: string };
  export default classes;
}
